> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Cart Address

> Update a Cart Address.



## OpenAPI

````yaml openapi/ecommerce.yaml patch /public/{user_id}/cart/{cart_uuid}/addresses/{customerAddress_id}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/cart/{cart_uuid}/addresses/{customerAddress_id}:
    patch:
      tags:
        - Cart
      summary: Update Cart Address
      description: Update a Cart Address.
      operationId: updateCartAddress
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: integer
          example: 16
        - name: cart_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: c103cca0-1c36-3a83-887a-2b4c35736a05
        - name: customerAddress_id
          in: path
          description: The ID of the customerAddress.
          required: true
          schema:
            type: integer
          example: 19
      requestBody:
        content:
          application/json:
            schema:
              required:
                - line_one
                - city
                - postcode
              type: object
              properties:
                line_one:
                  type: string
                  description: Must not be greater than 255 characters.
                  example: pp
                line_two:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: bogyghcbygqhfazvmxhkxh
                city:
                  type: string
                  description: Must not be greater than 255 characters.
                  example: kpfioeb
                postcode:
                  type: string
                  description: Must not be greater than 20 characters.
                  example: onw
                province_code:
                  type: string
                  description: Must not be greater than 10 characters.
                  nullable: true
                  example: yasbd
                contact_email:
                  type: string
                  description: >-
                    Must be a valid email address. Must not be greater than 255
                    characters.
                  nullable: true
                  example: eanderson@example.net
                vat_number:
                  type: string
                  description: Must not be greater than 50 characters.
                  nullable: true
                  example: dh
                company_code:
                  type: string
                  description: Must not be greater than 50 characters.
                  nullable: true
                  example: fuaxnrcthlciqeuskawkl
                first_name:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: skqwbjfd
                last_name:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: z
                company_name:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: lffqqu
                contact_phone:
                  type: string
                  description: Must not be greater than 50 characters.
                  nullable: true
                  example: zvnvykjkqzvh
            example:
              line_one: pp
              line_two: bogyghcbygqhfazvmxhkxh
              city: kpfioeb
              postcode: onw
              province_code: yasbd
              contact_email: eanderson@example.net
              vat_number: dh
              company_code: fuaxnrcthlciqeuskawkl
              first_name: skqwbjfd
              last_name: z
              company_name: lffqqu
              contact_phone: zvnvykjkqzvh
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a13651d1-ca24-41ad-a5d7-a0351dc3e323
                      first_name:
                        type: string
                        example: Richard
                      last_name:
                        type: string
                        example: Hane
                      company_name:
                        type: string
                        example: Marks, Lindgren and Larkin
                      vat_number:
                        type: string
                        example: '34247'
                      vat_validation_status:
                        type: string
                        example: invalid
                      vat_validated_at:
                        type: string
                        example: '2025-01-01T00:00:00Z'
                      line_one:
                        type: string
                        example: 97515 Mann Loop
                      line_two:
                        type: string
                        example: 6191 Stark Trace Suite 868
                      line_three:
                        type: string
                        example: 2127 Kuhic Ferry Suite 952
                      city:
                        type: string
                        example: Lemkeland
                      province_code:
                        type: string
                        example: VC
                      country_code:
                        type: string
                        example: BE
                      postcode:
                        type: string
                        example: '67555'
                      contact_email:
                        type: string
                        example: presley10@hirthe.com
                      contact_phone:
                        type: string
                        example: 310-560-6037
                      company_code:
                        type: string
                        example: '49924941'
                example:
                  data:
                    uuid: a13651d1-ca24-41ad-a5d7-a0351dc3e323
                    first_name: Richard
                    last_name: Hane
                    company_name: Marks, Lindgren and Larkin
                    vat_number: '34247'
                    vat_validation_status: invalid
                    vat_validated_at: '2025-01-01T00:00:00Z'
                    line_one: 97515 Mann Loop
                    line_two: 6191 Stark Trace Suite 868
                    line_three: 2127 Kuhic Ferry Suite 952
                    city: Lemkeland
                    province_code: VC
                    country_code: BE
                    postcode: '67555'
                    contact_email: presley10@hirthe.com
                    contact_phone: 310-560-6037
                    company_code: '49924941'
              example:
                data:
                  uuid: a13651d1-ca24-41ad-a5d7-a0351dc3e323
                  first_name: Richard
                  last_name: Hane
                  company_name: Marks, Lindgren and Larkin
                  vat_number: '34247'
                  vat_validation_status: invalid
                  vat_validated_at: '2025-01-01T00:00:00.0000000+00:00'
                  line_one: 97515 Mann Loop
                  line_two: 6191 Stark Trace Suite 868
                  line_three: 2127 Kuhic Ferry Suite 952
                  city: Lemkeland
                  province_code: VC
                  country_code: BE
                  postcode: '67555'
                  contact_email: presley10@hirthe.com
                  contact_phone: 310-560-6037
                  company_code: '49924941'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````